# pwin32.h File Reference

Configuration constants for the Windows platform. More...

`#include <inttypes.h>`

Go to the source code of this file.

## Defines
#define | U_INT64_IS_LONG_LONG 1
| Define the platform we're on.
#define | U_IS_BIG_ENDIAN 0
| Define whether inttypes.h is available.
#define | U_HAVE_WCHAR_H 1
| 1 or 0 to enable or disable threads.
#define | U_SIZEOF_WCHAR_T 2
| 1 or 0 to enable or disable threads.
#define | U_HAVE_WCSCPY 1
| 1 or 0 to enable or disable threads.
#define | U_TZSET _tzset
#define | U_TIMEZONE _timezone
#define | U_TZNAME _tzname
#define | U_DAYLIGHT _daylight
#define | U_HAVE_MMAP 0
| 1 or 0 to enable or disable threads.
#define | U_HAVE_POPEN 0
| 1 or 0 to enable or disable threads.
#define | U_EXPORT __declspec(dllexport)
#define | U_EXPORT2 __cdecl
| 1 or 0 to enable or disable threads.
#define | U_IMPORT __declspec(dllimport)
| 1 or 0 to enable or disable threads.
#define | U_ALIGN_CODE(val)
#define | U_DECLARE_UTF16(string) L ## string
| Do not use this macro.

## Detailed Description

Configuration constants for the Windows platform.

Definition in file pwin32.h.

## Define Documentation

#define U_ALIGN_CODE | ( | val |  | ) |

Code alignment and C function inlining

Definition at line 349 of file pwin32.h.

#define U_DAYLIGHT _daylight

Internal:
  Do not use. This API is for internal use only.

Definition at line 308 of file pwin32.h.

#define U_DECLARE_UTF16 | ( | string |  | ) | L ## string

Do not use this macro.

Use the UNICODE_STRING or U_STRING_DECL macros instead.

Internal:
  Do not use. This API is for internal use only.

Use the UNICODE_STRING or U_STRING_DECL macros instead.

Internal:
  Do not use. This API is for internal use only.

Definition at line 279 of file pwin32.h.

#define U_EXPORT __declspec(dllexport)

Symbol import-export control

Definition at line 328 of file pwin32.h.

#define U_EXPORT2 __cdecl

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 330 of file pwin32.h.

#define U_HAVE_MMAP 0

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 311 of file pwin32.h.

#define U_HAVE_POPEN 0

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 312 of file pwin32.h.

#define U_HAVE_WCHAR_H 1

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 265 of file pwin32.h.

#define U_HAVE_WCSCPY 1

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 268 of file pwin32.h.

#define U_IMPORT __declspec(dllimport)

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 331 of file pwin32.h.

#define U_INT64_IS_LONG_LONG 1

Define the platform we're on.

_MSC_VER is used to detect the Microsoft compiler.

Definition at line 38 of file pwin32.h.

#define U_IS_BIG_ENDIAN 0

Define whether inttypes.h is available.

Define what support for C++ streams is available. If U_IOSTREAM_SOURCE is set to 199711, then <iostream> is available (1997711 is the date the ISO/IEC C++ FDIS was published), and then one should qualify streams using the std namespace in ICU header files. If U_IOSTREAM_SOURCE is set to 198506, then <iostream.h> is available instead (198506 is the date when Stroustrup published "An Extensible I/O Facility for C++" at the summer USENIX conference). If U_IOSTREAM_SOURCE is 0, then C++ streams are not available and support for them will be silently suppressed in ICU. Determines whether specific types are available Define 64 bit limits Generic data types If your platform does not have the <inttypes.h> header, you may need to edit the typedefs below. Compiler and environment features Define whether namespace is supported Determines the endianness of the platform

Definition at line 181 of file pwin32.h.

#define U_SIZEOF_WCHAR_T 2

1 or 0 to enable or disable threads.

If undefined, default is: enable threads. 0 or 1 to enable or disable auto cleanup of libraries. If undefined, default is: disabled. Microsoft can define _M_IX86, _M_AMD64 (before Visual Studio 8) or _M_X64 (starting in Visual Studio 8). Intel can define _M_IX86 or _M_X64 Enable or disable debugging options Enable or disable release options Determine whether to disable renaming or not. This overrides the setting in umachine.h which is for all platforms. Determine whether to override new and delete. Determine whether to override placement new and delete for STL. Determine whether to override new and delete for MFC. Determine whether to enable tracing. Do we allow ICU users to use the draft APIs by default? Define the library suffix in a C syntax. Information about wchar support

Definition at line 266 of file pwin32.h.

#define U_TIMEZONE _timezone

Internal:
  Do not use. This API is for internal use only.

Definition at line 296 of file pwin32.h.

#define U_TZNAME _tzname

Internal:
  Do not use. This API is for internal use only.

Definition at line 302 of file pwin32.h.

#define U_TZSET _tzset

Information about POSIX support

Internal:
  Do not use. This API is for internal use only.

Definition at line 290 of file pwin32.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines